#include <bits/stdc++.h>
using namespace std;
int A[20005], N, K, mesto;
int main(){
    cin >> N >> K;
    for(int n=1; n<=N; n++){
        cin >> A[n];
    }
    for(int i=1; i<=N; i++){
        if(A[i]==K){
            mesto=i;
            continue;
        }
    }
    if(mesto==N){
        cout << A[1] << endl;
    }
    else{
        cout << A[mesto+1] << endl;
    }
    return 0;
}